> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_housing/developer-api/client-events.md).

# Client Events

### Listener for Freecam

Triggered when freecam mode is activated.\
Use this event to temporarily disable or adjust anti-cheat checks (e.g., freecam detection) to avoid false bans.

```lua
AddEventHandler('vms_housing:cl:enteringFreecam', function()
    -- Your bypass to anticheat
end)
```

Triggered when exiting freecam mode.\
Use this event to re-enable normal anti-cheat checking.

```lua
AddEventHandler('vms_housing:cl:exitingFreecam', function()
    -- Restore anti-freecam checking
end)
```

***

### Listener for Teleport

Triggered when player is teleported and has been teleported.\
Use this event to temporarily disable or adjust anti-cheat checks (e.g., anti-teleport detection) to avoid false bans.

```lua
AddEventHandler('vms_housing:cl:teleport', function(status)
    if status == 'start' then
        -- Your bypass to anticheat
    elseif status == 'end' then
        -- Restore anti-freecam checking
    end
end)
```

***

### Listener for Property Zone

Called when a player enters a property zone.

```lua
AddEventHandler('vms_housing:cl:enteredPropertyZone', function(propertyId, propertyData)
    -- Your custom logic here
end)
```

Called when a player leaves the property zone.

```lua
AddEventHandler('vms_housing:cl:leftPropertyZone', function(propertyId)
    -- Your custom logic here
end)
```

***

### Listener for Property

Called when the owner of the property is changed (purchase, sale, transfer, agency).

```lua
AddEventHandler('vms_housing:cl:updatedOwner', function(propertyId)
    -- Your custom logic here
end)
```

Called when the tenant of the property changes (rental, termination of rental).

```lua
AddEventHandler('vms_housing:cl:updatedRenter', function(propertyId)
    -- Your custom logic here
end)
```

Called when a player's permissions for a property change.

```lua
AddEventHandler('vms_housing:cl:updatedPermissions', function(propertyId)
    -- Your custom logic here
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_housing/developer-api/client-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
